## ros-iron-mrpt-msgs 0.4.7

=== CMakeLists.txt ===
if("$ENV{ROS_VERSION}" STREQUAL "2")
	cmake_minimum_required(VERSION 3.8)
	set(DETECTED_ROS2 TRUE)
else()
	cmake_minimum_required(VERSION 3.1)
	set(DETECTED_ROS1 TRUE)
    set (CMAKE_CXX_STANDARD 14)
endif()
project(mrpt_msgs)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(DETECTED_ROS1)
    find_package(catkin REQUIRED COMPONENTS
        geometry_msgs
        message_generation
        sensor_msgs
        std_msgs
        )

    # list must be hand-ordered to satisfy dependencies between .msg files:
    add_message_files(
        DIRECTORY
            msg-ros1
        FILES
        GraphSlamAgent.msg
        GenericObservation.msg
        GraphConstraint.msg
        GraphSlamStats.msg
        ObservationObject.msg
        ObservationRangeBeacon.msg
        ObservationRangeBearing.msg
        WaypointSequence.msg
    )
    add_message_files(
        DIRECTORY
            msg-common
        FILES
        GenericObject.msg
        GraphSlamAgents.msg
        NetworkOfPoses.msg
        NodeIDWithLaserScan.msg
        NodeIDWithPose.msg
        NodeIDWithPoseVec.msg
        SingleObjectObservation.msg
        SingleRangeBeaconObservation.msg
        SingleRangeBearingObservation.msg
        Waypoint.msg
    )

    add_service_files(
        DIRECTORY srv
        FILES
        GetCMGraph.srv
        )

    generate_messages(DEPENDENCIES
        geometry_msgs
        sensor_msgs
        std_msgs
        )

    catkin_package(CATKIN_DEPENDS
        geometry_msgs
        message_runtime
        sensor_msgs
        std_msgs
        )
endif()

if(DETECTED_ROS2)
    # find dependencies
    find_package(ament_cmake REQUIRED)
    find_package(rosidl_default_generators REQUIRED)
    find_package(std_msgs REQUIRED)
    find_package(geometry_msgs REQUIRED)
    find_package(sensor_msgs REQUIRED)

    rosidl_generate_interfaces(${PROJECT_NAME}
    # Messages:
    msg-ros2/GenericObservation.msg
    msg-ros2/GraphConstraint.msg
    msg-ros2/GraphSlamAgent.msg
    msg-ros2/GraphSlamStats.msg
    msg-ros2/ObservationObject.msg
    msg-ros2/ObservationRangeBeacon.msg
    msg-ros2/ObservationRangeBearing.msg
    msg-ros2/WaypointSequence.msg
    msg-common/GenericObject.msg
    msg-common/GraphSlamAgents.msg
    msg-common/NetworkOfPoses.msg
    msg-common/NodeIDWithLaserScan.msg
    msg-common/NodeIDWithPose.msg
    msg-common/NodeIDWithPoseVec.msg
    msg-common/SingleObjectObservation.msg
    msg-common/SingleRangeBeaconObservation.msg
    msg-common/SingleRangeBearingObservation.msg
    msg-common/Waypoint.msg
# Services:
    srv/GetCMGraph.srv
    # deps:
    DEPENDENCIES
        std_msgs
        geometry_msgs
        sensor_msgs
    ADD_LINTER_TESTS
    )

    ament_export_dependencies(rosidl_default_runtime)

    if(BUILD_TESTING)
      find_package(ament_cmake_xmllint REQUIRED)
      ament_xmllint()
    endif()

    ament_package()
endif()

=== debian/changelog ===
ros-iron-mrpt-msgs (0.4.7-1jammy) jammy; urgency=high

  * Add new GenericObject msg type
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 21 Aug 2023 22:00:00 -0000

ros-iron-mrpt-msgs (0.4.6-1jammy) jammy; urgency=high

  * fix endline space (fixes uncrustify test error)
  * Waypoint.msg: add ignore_heading field
  * Add header to WaypointSequence.msg
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 26 May 2023 22:00:00 -0000

ros-iron-mrpt-msgs (0.4.5-1jammy) jammy; urgency=high

  * Add Waypoint messages
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 19 May 2023 22:00:00 -0000

ros-iron-mrpt-msgs (0.4.4-1jammy) jammy; urgency=high

  * Correct build_type in package.xml (solves installing unexpected files, as reported [here](https://github.com/ros/rosdistro/pull/33532))
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 11 Jun 2022 22:00:00 -0000

ros-iron-mrpt-msgs (0.4.3-1jammy) jammy; urgency=high

  * Fix lint errors
  * Add contributing.md file
  * Rename license file as "LICENSE"
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 29 May 2022 22:00:00 -0000

ros-iron-mrpt-msgs (0.4.2-1jammy) jammy; urgency=high

  * Fix build-farm test dependencies
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 17 May 2022 22:00:00 -0000

ros-iron-mrpt-msgs (0.4.1-1jammy) jammy; urgency=high

  * add missing test dependencies
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 16 May 2022 22:00:00 -0000

ros-iron-mrpt-msgs (0.4.0-1jammy) jammy; urgency=high

  * Linter fixes
  * Unify ROS1 / ROS2 builds in one branch
  * Add License file
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 12 May 2022 22:00:00 -0000

ros-iron-mrpt-msgs (0.2.0-1jammy) jammy; urgency=high

  * Add generic observation msg
  * Merge pull request #1 <https://github.com/mrpt-ros-pkg/mrpt_msgs/issues/1> from tuw-robotics/master
    Add range-bearing object observations
  * Update URLs to https
  * Contributors: Felix König, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 04 Mar 2022 23:00:00 -0000

ros-iron-mrpt-msgs (0.1.23-1jammy) jammy; urgency=high

  * catkin_lint clean
  * ROS build farm badges
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 07 Jun 2018 22:00:00 -0000

ros-iron-mrpt-msgs (0.1.22-1jammy) jammy; urgency=high

  * Release an an independent upstream repository, outside of "mrpt_navigation".

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 17 May 2018 22:00:00 -0000

ros-iron-mrpt-msgs (0.1.21-1jammy) jammy; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * Merge branch 'master' into master
  * Merge branch 'master' into compat-mrpt-1.5
  * Adapted CMakeLists to new mrpt
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * update the definition of topic_namespace
  * Work towards mr-slam
  * Implement converion method for CNetworkOfPoses2DInf_NA specialization class
  * Add more msgs for use in mrpt_graphslam_2d
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 22:00:00 -0000

ros-iron-mrpt-msgs (0.1.20-1jammy) jammy; urgency=high

  * Merge branch 'master' into master
  * Merge branch 'master' into compat-mrpt-1.5
  * Adapted CMakeLists to new mrpt
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * update the definition of topic_namespace
  * Work towards mr-slam
  * Implement converion method for CNetworkOfPoses2DInf_NA specialization class
  * Add more msgs for use in mrpt_graphslam_2d
  * Contributors: Borys Tymchenko, Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Apr 2018 22:00:00 -0000

ros-iron-mrpt-msgs (0.1.18-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-iron-mrpt-msgs (0.1.17-1jammy) jammy; urgency=high

  * make catkin_lint clean
  * mrpt_bridge: Add conversion methods for Information-related Pose classes
  * Add graphslam-related messages, service
  * Add new GraphSlamStats msg.
    Message used primarily in the mrpt_graphslam_2d ROS application
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos, Jose Luis Blanco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-iron-mrpt-msgs (0.1.16-1jammy) jammy; urgency=high

  * Remove unecessary Pose2DStamped msg
  * Contributors: Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 12 Dec 2016 23:00:00 -0000

ros-iron-mrpt-msgs (0.1.15-1jammy) jammy; urgency=high

  * Add Pose2DStamped ROS message
  * Contributors: Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 05 Nov 2016 23:00:00 -0000

ros-iron-mrpt-msgs (0.1.14-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 11 Sep 2016 22:00:00 -0000

ros-iron-mrpt-msgs (0.1.13-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-iron-mrpt-msgs (0.1.12-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-iron-mrpt-msgs (0.1.11-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-iron-mrpt-msgs
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cppcheck <!nocheck>, ros-iron-ament-cpplint <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-cmake <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-geometry-msgs, ros-iron-ros-environment, ros-iron-rosidl-default-generators, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: https://wiki.ros.org/mrpt_msgs
Standards-Version: 3.9.2

Package: ros-iron-mrpt-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-geometry-msgs, ros-iron-rosidl-default-runtime, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Description: ROS messages for MRPT classes and objects

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-mrpt-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
